Provider Availability
curl --request GET \
--url https://api.sandbox.pawapay.io/v2/availability \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.pawapay.io/v2/availability"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.pawapay.io/v2/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"country": "GHA",
"providers": [
{
"provider": "VODAFONE_GHA",
"operationTypes": [
{
"operationType": "DEPOSIT",
"status": "OPERATIONAL"
},
{
"operationType": "PAYOUT",
"status": "DELAYED"
},
{
"operationType": "REMITTANCE",
"status": "OPERATIONAL"
}
]
},
{
"provider": "MTN_MOMO_GHA",
"operationTypes": [
{
"operationType": "DEPOSIT",
"status": "OPERATIONAL"
},
{
"operationType": "PAYOUT",
"status": "OPERATIONAL"
},
{
"operationType": "REMITTANCE",
"status": "OPERATIONAL"
}
]
},
{
"provider": "AIRTELTIGO_GHA",
"operationTypes": [
{
"operationType": "DEPOSIT",
"status": "CLOSED"
},
{
"operationType": "PAYOUT",
"status": "DELAYED"
},
{
"operationType": "REMITTANCE",
"status": "OPERATIONAL"
}
]
}
]
},
{
"country": "ZMB",
"providers": [
{
"provider": "MTN_MOMO_ZMB",
"operationTypes": [
{
"operationType": "DEPOSIT",
"status": "CLOSED"
},
{
"operationType": "PAYOUT",
"status": "OPERATIONAL"
}
]
},
{
"provider": "AIRTEL_OAPI_ZMB",
"operationTypes": [
{
"operationType": "DEPOSIT",
"status": "OPERATIONAL"
},
{
"operationType": "PAYOUT",
"status": "DELAYED"
}
]
}
]
}
]{
"failureReason": {
"failureCode": "UNKNOWN_ERROR",
"failureMessage": "Unable to process request due to an unknown problem."
}
}Toolkit
Provider Availability
GET
/
v2
/
availability
Provider Availability
Providers sometimes have instability in processing payments.
Read more about MMO Stability.
Our 24/7 payment operations team constantly monitors all the providers available on our platform for any degraded performance or downtime.
From this endpoint you can get the current processing status of each provider.
This endpoint returns all providers grouped by country.
Each operation type (
DEPOSIT, PAYOUT, REFUND) has a separate status.
Following statuses are possible for different operations:
| Status | Description |
|---|---|
OPERATIONAL | The provider is operational and open for processing requests. |
DELAYED | The provider is having problems processing payouts. Payouts are being enqueued and will be processed once the problems have been resolved. |
CLOSED | The provider is having problems and all requests are being rejected by PawaPay. |
Authorizations
See Authentication.
Query Parameters
The operation for which you want to get provider availabiity information for.
Available options:
DEPOSIT, PAYOUT, REFUND, REMITTANCE Response
If a request has been processed by PawaPay successfully.
Was this page helpful?
⌘I